from rest_framework import permissions

class IsOwnerOrReadOnly(permissions.BasePermission):
    """Permission to only allow owners to edit their objects"""

    def has_object_permission(self, request, view, obj):
        if request.method in permissions.SAFE_METHODS:
            return True
        return obj.owner == request.user 

class IsCollectionOwnerOrReadOnly(permissions.BasePermission):
    """Permission to only allow owners to edit their objects"""
    def has_object_permission(self, request, view, obj):
        if request.method in permissions.SAFE_METHODS:
            return True
        return obj.collection.owner == request.user 
